Server Azure AD Administrators - Get
Gets a Azure Active Directory administrator.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/administrators/ActiveDirectory?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
administrator
|
path | True |
The name of server active directory administrator. |
|
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved a specified Azure Active Directory administrator. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Gets a Azure Active Directory administrator.
Sample Request
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory",
"name": "ActiveDirectory",
"type": "Microsoft.Sql/servers/administrators",
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
"tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
"azureADOnlyAuthentication": true
}
}
Definitions
| Name | Description |
|---|---|
|
Administrator |
The name of server active directory administrator. |
|
Administrator |
Type of the sever administrator. |
|
Server |
Azure Active Directory administrator. |
AdministratorName
The name of server active directory administrator.
| Name | Type | Description |
|---|---|---|
| ActiveDirectory |
string |
AdministratorType
Type of the sever administrator.
| Name | Type | Description |
|---|---|---|
| ActiveDirectory |
string |
ServerAzureADAdministrator
Azure Active Directory administrator.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| name |
string |
Resource name. |
| properties.administratorType |
Type of the sever administrator. |
|
| properties.azureADOnlyAuthentication |
boolean |
Azure Active Directory only Authentication enabled. |
| properties.login |
string |
Login name of the server administrator. |
| properties.sid |
string |
SID (object ID) of the server administrator. |
| properties.tenantId |
string |
Tenant ID of the administrator. |
| type |
string |
Resource type. |